# radix-daemon

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: v1.1.3.1](https://img.shields.io/badge/AppVersion-v1.1.3.1-informational?style=flat-square)

The Radix Node

## Source Code

* <https://github.com/radixdlt/babylon-node>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| environment.JAVA_OPTS | string | `"--enable-preview -server -Xms12g -Xmx12g  -XX:MaxDirectMemorySize=2048m -XX:+HeapDumpOnOutOfMemoryError -XX:+UseCompressedOops -Djavax.net.ssl.trustStore=/etc/ssl/certs/java/cacerts -Djavax.net.ssl.trustStoreType=jks -Djava.security.egd=file:/dev/urandom -DLog4jContextSelector=org.apache.logging.log4j.core.async.AsyncLoggerContextSelector"` | Java environment options. Default value is set for what is required for production.  |
| environment.RADIXDLT_HOME | string | `"/home/radixdlt"` | The home of the application |
| environment.RADIXDLT_LOG_LEVEL | string | `"info"` | Log level of the application |
| environment.RADIXDLT_NETWORK_ID | int | `1` | The ID of the network to join. 1 is for mainnet |
| environment.RADIXDLT_NETWORK_SEEDS_REMOTE | string | `"radix://node_rdx1qf2x63qx4jdaxj83kkw2yytehvvmu6r2xll5gcp6c9rancmrfsgfw0vnc65@52.212.35.209,radix://node_rdx1qgxn3eeldj33kd98ha6wkjgk4k77z6xm0dv7mwnrkefknjcqsvhuu4gc609@54.79.136.139,radix://node_rdx1qwrrnhzfu99fg3yqgk3ut9vev2pdssv7hxhff80msjmmcj968487uugc0t2@43.204.226.50,radix://node_rdx1q0gnmwv0fmcp7ecq0znff7yzrt7ggwrp47sa9pssgyvrnl75tvxmvj78u7t@52.21.106.232"` | Storage configuration. The default storage class should be updated. |
| environment.RADIXDLT_NODE_FETCH_LEDGER_IF_MISSING | bool | `true` | If present, and the ledger directory is empty, it will fetch the mainnet ledger during boot. |
| environment.RADIXDLT_NODE_KEY_CREATE_IF_MISSING | bool | `true` | Automatically create the keys if not present. |
| environment.RADIXDLT_VALIDATOR_KEY_LOCATION | string | `"/home/radixdlt/conf/node-keystore.ks"` | Where the node keys should be stored. |
| fullnameOverride | string | `"radix-daemon"` |  |
| image.repository | string | `"docker.io/radixdlt/babylon-node"` | Image for deploying the radix node. |
| image.tag | string | `""` | Default version of radix node. Refer this link for latest releases https://github.com/radixdlt/babylon-node/releases/latest |
| monitoring | object | `{"enabled":true,"serviceMonitor":{"enabled":true,"interval":"30s","namespace":"monitoring","networkNamespace":"radix-daemon","path":"/prometheus/metrics"}}` | Prometheus metrics configuration |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence | object | `{"enabled":true,"storageClass":"gp3","storageSize":"500Gi"}` | Storage configuration. The storage class "gp3" value should be updated to your storage class. |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| readinessProbe.enabled | bool | `false` |  |
| readinessProbe.httpGet.exporterPath | string | `"/metrics"` |  |
| readinessProbe.httpGet.path | string | `"/api/ping"` |  |
| readinessProbe.initialDelaySeconds | int | `15` |  |
| readinessProbe.timeoutSeconds | int | `10` |  |
| replicaCount | int | `1` |  |
| resources | object | `{"limits":{"memory":"16Gi"},"requests":{"cpu":4,"memory":"16Gi"}}` | Refer https://docs.radixdlt.com/docs/node-setup#hardware-requirements for exact hardware requirements  |
| securityContext | object | `{}` |  |
| service | object | `{"nodePort":{"annotations":{},"enabled":true}}` | Inside cluster node can still operate using just outbound connections. To use inbound connections and to act as properly behaved node suggest to expose gossip port using node port.  |
| serviceAccount | object | `{"annotations":{},"create":true,"name":"radix-daemon"}` | Define serviceAccount names for components. Defaults to component's fully qualified name. |
| tolerations | list | `[]` | Optionally use toleration to ensure, no other pods get scheduled on the node group that is specific to radix daemon  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.13.1](https://github.com/norwoodj/helm-docs/releases/v1.13.1)
